<?php
/**
 * 
 * Copyright 2009 Didier BLANQUI
 *
 * This file is part of plugin_sso_table, a plugin for GEPI.
 *
 * plugin_sso_table is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * plugin_sso_table is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with plugin_sso_table; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 */

$niveau_arbo = 2;
// Initialisations files
$AllowedFilesExtensions = array("csv");
include("../../lib/initialisationsPropel.inc.php");
include("../../lib/initialisations.inc.php");
include("../plugins.class.php");
// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
}
//$utilisateur = UtilisateurProfessionnelPeer::retrieveByLogin($_SESSIONlogin);
$user_auth = new gepiPlugIn("plugin_sso_table");
$user_auth->verifDroits();

// **************** EN-TETE *****************
$titre_page = "plugin sso table: Index";
$style_specifique = "mod_plugins/plugin_sso_table/css/sso_table";
include("../../lib/header.inc");
// **************** FIN EN-TETE *****************
//debug_var();

$root = dirname(__FILE__) . DIRECTORY_SEPARATOR ;
set_include_path('.' .
    PATH_SEPARATOR . $root . 'lib' . DIRECTORY_SEPARATOR .
    PATH_SEPARATOR . $root . 'apps' . DIRECTORY_SEPARATOR .
    PATH_SEPARATOR . $root . 'apps/modeles' . DIRECTORY_SEPARATOR .
    PATH_SEPARATOR . $root . 'apps/classes' . DIRECTORY_SEPARATOR .
    PATH_SEPARATOR . $root . 'apps/vues' . DIRECTORY_SEPARATOR .
    PATH_SEPARATOR . get_include_path());

require_once('Frontal.php');

$front_controleur = new Frontal();
try {
    $front_controleur=Frontal::getInstance()->execute();
    
}
catch(Exception $e) {
    echo "Exception leve dans l'application. <br />"
     . "<strong>Message</strong> " . $e->getMessage() . "<br />"
     . "<strong>Fichier</strong> " . $e->getFile() . "<br />"
     . "<strong>Ligne</strong> " . $e->getLine() . "<br />";
}
 
?>