<?php
/**
 * 
 * Copyright 2009 Didier BLANQUI
 *
 * This file is part of plugin_sso_table, a plugin for GEPI.
 *
 * plugin_sso_table is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * plugin_sso_table is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with plugin_sso_table; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 */
// Pour le multisite
if (isset($_GET["rne"])) {
    setcookie('RNE', $_GET["rne"]);
}

$niveau_arbo = 2;
// Cas particulier du single sign-out CAS
// On doit empcher le filtrage de $_POST['logoutRequest'], qui contient des
// caractres spciaux
if (isset($_POST) && array_key_exists('logoutRequest', $_POST)) {
    $logout_request = $_POST['logoutRequest'];
}
// Initialisations files
require_once("./lib/initialisations.inc.php");

if ($session_gepi->auth_sso && isset($logout_request)) {
    $_POST['logoutRequest'] = $logout_request;
}
// Cette page a pour vocation de grer les authentification SSO.
// Si l'authentification SSO n'est pas paramtre, on renvoie tout de suite
// vers la page de login classique.
if (!$session_gepi->auth_sso) {
    session_write_close();
    header("Location:../../login.php");
    die();
}
// L'instance de Session permettant de grer directement les authentifications
// SSO, on ne s'embte pas :
$auth = $session_gepi->authenticate();
if ($auth == "1") {
    // Authentification russie
    session_write_close();
    header("Location:../../accueil.php");
    die();
} else {
    // Echec d'authentification.
    session_write_close();
    header("Location:login_failure.php?error=" . $auth . "&mode=sso");
    die();
}

?>
