<?php
/**
 * 
 * Copyright 2009 Didier BLANQUI
 *
 * This file is part of plugin_sso_table, a plugin for GEPI.
 *
 * plugin_sso_table is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * plugin_sso_table is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with plugin_sso_table; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 */
// ======================================
if (file_exists("../../secure/config_lcs.inc.php"))
    include "../../secure/config_lcs.inc.php";

   // Database configuration file
   require_once("../../secure/connect.inc.php");
   // Database connection
   require_once("../../lib/mysql.inc");
   // Ajout pour utiliser ou pas les fonctions mb_*
   require_once("../../lib/mb_ou_pas.php");
   // Global configuration file
   require_once("../../lib/global.inc");
   // Traitement des donnes
   require_once("../../lib/filtrage_html.inc.php");
	if($filtrage_html=="htmlpurifier") {
		require_once("../../lib/HTMLPurifier.standalone.php");
	}
	elseif($filtrage_html=="inputfilter") {
		require_once("../../lib/class.inputfilter_clean.php");
	}
   require_once("../../lib/traitement_data.inc.php");
   // Libraries
   include "../../lib/share.inc.php";
   // Fonctions relatives aux groupes
   include "../../lib/groupes.inc.php";
   // Fonctions relatives aux groupes
   include "../../lib/classes.inc.php";
   // Settings
   require_once("../../lib/settings.inc");
   // Load settings
   if (!loadSettings()) {
       die("Erreur chargement settings");
   }
// Session related functions
require_once("../../lib/LDAPServer.class.php");
require_once("./apps/classes/Session.class.php");
// Modif pour la longueur des logins par $longmax_login du global.inc
// Si le champ de setting existe alors il faut l'utiliser car il est rgl par la page param_gen.php
if (isset($gepiSettings['longmax_login'])) {
    $longmax_login = $gepiSettings['longmax_login'];
}

if (!isset($mode_debug)) {
    $mode_debug = false;
}
// Initialisaton de la session Gepi :
$session_gepi = new Session();
if (!class_exists('Propel')
	|| !strstr(get_include_path(), '/orm/propel-build/classes')) {
    //on retire les objets propel de la session car propel n'a pas ete initialise,
    //donc les objets ne seront pas correctement deserialiser
    unset($_SESSION['objets_propel']);
}

?>